Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface DeploymentTaskRuntimeMBean

public interface DeploymentTaskRuntimeMBean
extends TaskRuntimeMBean

Base interface for deployment task MBeans. These MBeans track the progress of a deployment task.

Field Summary
`static int` | `DEPLOY_TASK_ACTIVATE` Activation task.
`static int` | `DEPLOY_TASK_DEACTIVATE` Deactivate application.
`static int` | `DEPLOY_TASK_REMOVE` Remove application from target.
`static int` | `DEPLOY_TASK_UNPREPARE` Deactivate and unload classes for application from target.
`static int` | `STATE_COMPLETED` Indicates the task completed successfully
`static int` | `STATE_FAILED` Indicates the task failed
`static int` | `STATE_INITIALIZED` Indicates the task has been created but not started.
`static int` | `STATE_RUNNING` Indicate the task is in progress

Method Summary
`void` | `cancel()` Attempt to cancel the task.
`TargetStatus` | `findTarget(java.lang.String target)` Status for a specific target of this deployment.
`java.lang.String` | `getApplicationName()` The name for the application that was specified to DeployerRuntime.activate
`DeploymentData` | `getDeploymentData()` Data associated with this task
`ApplicationMBean` | `getDeploymentObject()` The Application MBean involved in this task.
`java.lang.String` | `getId()` A task can be referenced by the id assigned to it, or one the user assigns to it.
`java.lang.String` | `getSource()` The source file that was specified to DeployerRuntime.activate.
`int` | `getState()` Overall state of this task
`TargetStatus[]` | `getTargets()` Target based deployment status information for this deployment.
`int` | `getTask()` Indicates specific task associated with this MBean
`boolean` | `isInUse()` This indicates if the MBean is free for deletion or timeout.
`boolean` | `isNewSource()` Indicates whether a new source for the application was specified in an activate request.
`void` | `setState(int state)`
`void` | `start()` Initiate the request.

Methods inherited from interface weblogic.management.runtime.TaskRuntimeMBean
`getBeginTime, getDescription, getEndTime, getError, getParentTask, getStatus, getSubTasks, isRunning, isSystemTask, printLog, setSystemTask`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### DEPLOY_TASK_ACTIVATE

    public static final int DEPLOY_TASK_ACTIVATE

  Activation task. Deliver staged application to containers. After successful activation, the modules in the application are in an active state. An activate may be requested from any state: none, unprepared, prepared, active

### DEPLOY_TASK_DEACTIVATE

    public static final int DEPLOY_TASK_DEACTIVATE

  Deactivate application. Suspend application from containers. A deactivate may be requested from the following states: active

### DEPLOY_TASK_REMOVE

    public static final int DEPLOY_TASK_REMOVE

  Remove application from target. Deactivates if necessary. Deletes staged files. A remove may be requested from the following states: unprepared, prepared, and active

### DEPLOY_TASK_UNPREPARE

    public static final int DEPLOY_TASK_UNPREPARE

  Deactivate and unload classes for application from target. After successful unprepare, the modules in the application are in a staged(unprepared) state. An unprepare may be requested from the following states: prepared, and active

### STATE_INITIALIZED

    public static final int STATE_INITIALIZED

  Indicates the task has been created but not started.

### STATE_RUNNING

    public static final int STATE_RUNNING

  Indicate the task is in progress

### STATE_COMPLETED

    public static final int STATE_COMPLETED

  Indicates the task completed successfully

### STATE_FAILED

    public static final int STATE_FAILED

  Indicates the task failed

Method Detail

### getTask

    public int getTask()

  Indicates specific task associated with this MBean

  Returns:
    value of task. e.g. DEPLOY_TASK_ACTIVATE

### getTargets

    public TargetStatus[] getTargets()

  Target based deployment status information for this deployment. For distributed deployment, there is one TargetStatus for each target

### findTarget

    public TargetStatus findTarget(java.lang.String target)

  Status for a specific target of this deployment.

  Parameters:
    `target` - is the name of a target (server or cluster name)

### getDeploymentObject

    public ApplicationMBean getDeploymentObject()

  The Application MBean involved in this task. This returns the Admin MBean, the one based on config.xml, that applies to all servers this application is associated with.

### getDeploymentData

    public DeploymentData getDeploymentData()

  Data associated with this task

### getId

    public java.lang.String getId()

  A task can be referenced by the id assigned to it, or one the user assigns to it.

### cancel

    public void cancel()
                throws java.lang.Exception

  Attempt to cancel the task. Any actions which have yet to start will be inhibited. Any completed actions will remain in place.
  Specified by:
    cancel in interface TaskRuntimeMBean

### start

    public void start()
               throws ManagementException

  Initiate the request. When invoking `DeployerRuntimeMBean.activate(String, String, String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.deactivate(String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.unprepare(String, DeploymentData, String, boolean)`, or `DeployerRuntimeMBean.remove(String, DeploymentData, String, boolean)` with the startTask option set to false, this method is used to initiate the task. throws ManagementException if task is already started or any failures occur during task processing.

### isInUse

    public boolean isInUse()

  This indicates if the MBean is free for deletion or timeout.

### isNewSource

    public boolean isNewSource()

  Indicates whether a new source for the application was specified in an activate request.

### getSource

    public java.lang.String getSource()

  The source file that was specified to DeployerRuntime.activate.

### getApplicationName

    public java.lang.String getApplicationName()

  The name for the application that was specified to DeployerRuntime.activate

### getState

    public int getState()

  Overall state of this task

### setState

    public void setState(int state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference